function x = vorwaertssubstitution(L,b)
%VORWAERTSSUBSTITUTION - berechnet die Lsung von Lx = b fr gegebenes L und b

[zeilen,spalten] = size(L);
for i = 1:zeilen
    r = 0;
    for j = 1:(i-1)
        r = r + L(i,j) * x(j);
    end
    x(i,1) = (b(i) - r) / L(i,i);
end
end