function x = vorwaertssubstitution2(A,b)
%VORWAERTSSUBSTITUTION2 - berechnet die Lsung von Lx = b fr gegebenes L (unteres Dreieck von A) und b

[zeilen,spalten] = size(A);
for i = 1:zeilen
    r = 0;
    for j = 1:(i-1)
        r = r + A(i,j) * x(j);
    end
    x(i,1) = (b(i) - r); % Teilen durch A(i,i) entfllt, da Diagonaleintrge von L 1 sind
end
end